Skip to navigation

Set initials image for accountless signer

View as Markdown

Updates the initials image for a signer that does not have a DocuSign account. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K.

For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the CanSendEnvelope property set to true and the ExpressSendOnly property in SendingUser structure must be set to false.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientIdstringRequired

A local reference used to map recipients to other objects, such as specific document tabs.

A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope.

For example, many envelopes assign the first recipient a recipientId of 1.

Response

Successful response.

Errors

400
Bad Request Error